# FdoObjectPropertyDefinition Class Reference

`#include <ObjectPropertyDefinition.h>`

Inheritance diagram for FdoObjectPropertyDefinition:

[legend]

List of all members.

## Detailed Description

The FdoObjectPropertyDefinition class derives from FdoPropertyDefinition and represents containment of an object or a collection of objects within another class. The class of the contained object must already be defined in the feature schema and cannot be abstract.

Definition at line 38 of file ObjectPropertyDefinition.h.

## Public Member Functions
FDO_API FdoClassDefinition * | GetClass ()
| Gets a reference to the FdoClassDefinition that defines the type of this property.
FDO_API FdoDataPropertyDefinition * | GetIdentityProperty ()
| Gets a reference to an FdoDataPropertyDefinition to use for uniquely identifying instances of the contained class within a single parent object instance. This value is only used for the FdoObjectType_Collection and FdoObjectType_OrderedCollection object property types. The FdoDataPropertyDefinition must belong to the FdoClassDefinition that defines the type of this property.
FDO_API FdoObjectType | GetObjectType ()
| Gets the type of this object property (value, collection, or ordered collection).
FDO_API FdoOrderType | GetOrderType ()
| Gets the order type of this object property (ascending or descending). This property is only applicable if the property type is set to FdoObjectType_OrderedCollection.
virtual FDO_API FdoPropertyType | GetPropertyType ()
| Gets the concrete property type.
FDO_API void | SetClass (FdoClassDefinition *value)
| Sets a reference to the FdoClassDefinition that defines the type of this property.
FDO_API void | SetIdentityProperty (FdoDataPropertyDefinition *value)
| Sets a reference to an FdoDataPropertyDefinition to use for uniquely identifying instances of the contained class within a single parent object instance. This value is only used for the FdoObjectType_Collection and FdoObjectType_OrderedCollection object property types. The FdoDataPropertyDefinition must belong to the FdoClassDefinition that defines the type of this property.
FDO_API void | SetObjectType (FdoObjectType value)
| Sets the type of this object property (value, collection, or ordered collection).
FDO_API void | SetOrderType (FdoOrderType value)
| Sets the order type of this object property (ascending or descending). This property is only applicable if the property type is set to FdoObjectType_OrderedCollection.
## Static Public Member Functions
static FDO_API FdoObjectPropertyDefinition * | Create (FdoString *name, FdoString *description, bool system=false)
| Constructs an instance of an FdoObjectPropertyDefinition using the specified arguments.
static FDO_API FdoObjectPropertyDefinition * | Create ()
| Constructs a default instance of an FdoObjectPropertyDefinition.
## Protected Member Functions
FDO_API | FdoObjectPropertyDefinition (FdoString *name, FdoString *description, bool system=false)
FDO_API | FdoObjectPropertyDefinition ()
| Constructs a default instance of an FdoObjectPropertyDefinition.

The documentation for this class was generated from the following file:

- ObjectPropertyDefinition.h